Bug 432719 - No easy/intuitive way to clear search tags in dolphin
Summary: No easy/intuitive way to clear search tags in dolphin
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: search (show other bugs)
Version: 20.12.2
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-02-10 04:17 UTC by Jason Straight
Modified: 2021-05-03 17:16 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.08


Attachments
dolphin search (148.85 KB, image/png)
2021-02-10 04:17 UTC, Jason Straight
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Straight 2021-02-10 04:17:08 UTC
Created attachment 135550 [details]
dolphin search

When doing a file search from Dolphin and using the search input field to search for example "tag:penguin", dolphin will add that tag filter to the dropdown menu, and the only way to clear it is to expand that and un-select that tag, or to quit dolphin and restart it.

If you have hundreds of tags, like I do, then the dropdown menu for tags doesn't fit on the screen, and you can't clear it.

There should be an easy way to reset the search. Closing just the search doesn't clear it.

I think the whole tagging system could honestly use a different approach. Maybe use scrollable dropdown filters, the way digikam does it, and the top one could be an option to 'clear' or 'reset'?

Operating System: Manjaro Linux
KDE Plasma Version: 5.20.5
KDE Frameworks Version: 5.78.0
Qt Version: 5.15.2
Kernel Version: 5.10.14-1-MANJARO
OS Type: 64-bit
Processors: 12 × Intel® Core™ i7-9750H CPU @ 2.60GHz
Memory: 15.5 GiB of RAM
Graphics Processor: GeForce RTX 2060/PCIe/SSE2
Comment 1 Nate Graham 2021-02-10 04:26:12 UTC
You can also just delete the text "tag:jason" in the search field.
Comment 2 Jason Straight 2021-02-10 04:30:39 UTC
(In reply to Nate Graham from comment #1)
> You can also just delete the text "tag:jason" in the search field.

That's the problem. It doesn't work. The tag drop down stays with tag:jason.
Comment 3 Bug Janitor Service 2021-04-30 21:09:26 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/205
Comment 4 Ismael Asensio 2021-05-03 15:39:16 UTC
Git commit 65b283a909d098687cbb9df52822439f5f5560b5 by Ismael Asensio.
Committed on 03/05/2021 at 14:22.
Pushed by iasensio into branch 'master'.

search: Add action to clear tag selection

M  +23   -5    src/search/dolphinfacetswidget.cpp
M  +2    -0    src/search/dolphinfacetswidget.h

https://invent.kde.org/system/dolphin/commit/65b283a909d098687cbb9df52822439f5f5560b5